clear
infile using aej.dct
do aej-value-labels

reshape long gatherings_o_ theater_o_ museum_o_ gatherings_ theater_ museum_ recognition_ math_ hyperactive_ headstrong_ anxiety_ comp_ hgc_ books_o_ instrument_o_ lessons_o_ books_ instrument_ lessons_ newspaper_o_ eatmomdad_o_ praised_o_ newspaper_ eatmomdad_ praised_ ,i(cid) j(year)



gen museum=museum_
replace museum=museum_o if museum<0 & museum_o>0 & museum_o~=.
drop museum_*

gen theater=theater_
replace theater=theater_o if theater<0 & theater_o>0 & theater_o~=.
drop theater_*

gen gatherings=gatherings_
replace gatherings=gatherings_o if gatherings<0 & gatherings_o>0 & gatherings_o~=.
drop gatherings_*

gen books=books_
replace books=books_o if books<0 & books_o>0 & books_o~=.
drop books_*
replace books=1 if books==0

gen instrument=instrument_
replace instrument=instrument_o if instrument<0 & instrument_o>0 & instrument_o~=.
drop instrument_*

gen lessons=lessons_
replace lessons=lessons_o if lessons<0 & lessons_o>0 & lessons_o~=.
drop lessons_*
replace lessons=1 if lessons==3


rename recognition_ recognition
rename math_ math
rename hyperactive_ hyperactive
rename headstrong_ headstrong
rename anxiety_ anxiety
rename comp comp


gen age= year-birth
replace hgc=0 if hgc==95
sort mid cid year
by mid cid: replace hgc=hgc[_n-1] if hgc<hgc[_n-1] & hgc[_n-1]~=.
replace hgc=0 if age>24
replace hgc=0 if age<23
bys mid cid: egen schooling=max(hgc)
drop year birth hgc_ age

gen newspaper=newspaper_
replace newspaper=newspaper_o if newspaper<0 & newspaper_o>0 & newspaper_o~=.
drop newspaper_*
replace newspaper=1 if newspaper==2 | newspaper==3

gen eatmomdad=eatmomdad_
replace eatmomdad=eatmomdad_o if eatmomdad<0 & eatmomdad_o>0 & eatmomdad_o~=.
drop eatmomdad_*
gen tempeat=.
replace tempeat=eat if eat<0
replace tempeat=7 if eat==1
replace tempeat=6 if eat==2
replace tempeat=5 if eat==3
replace tempeat=4 if eat==4
replace tempeat=3 if eat==5
replace tempeat=2 if eat==6
replace tempeat=1 if eat==7

drop eatmomdad
rename tempeat eatmomdad


gen praised=praised_
replace praised=praised_o if praised<0 & praised_o>0 & praised_o~=.
drop praised_*
replace praised=150 if praised>150 & praised~=.


sort mid cid year

save children,replace



************************

clear
infile using twomore.dct
do twomore-value-labels

reshape long  income_  ,i(mid) j(year)

rename income income

sort mid year

save twomore,replace


clear
infile using mom.dct
do mom-value-labels

sort mid

save mom,replace

************************

************************

use children, clear

merge mid cid year using onemore

tab _m
drop if _m==2
drop _m

sort mid cid
merge mid cid  using schooling

tab _m
drop if _m==2
drop _m


sort mid year

merge mid using mom

tab _m
drop if _m==2
drop _m

sort mid  year

merge mid year using twomore

tab _m
drop if _m==2
drop _m



sort mid cid year
merge mid cid year using moreInv

tab _m
drop if _m==2
drop _m



sort mid cid year
merge mid cid year using moreInv2

tab _m
drop if _m==2
drop _m


save children,replace













use children,replace

drop if sid>14

gen age=year-birth

drop if age<7 | age>14

gen cat=1 if age==7 | age==8
replace cat=2 if age==9 | age==10
replace cat=3 if age==11 | age==12
replace cat=4 if age==13 | age==14

drop if worth_1980==-5 &  nogood_1980==-5

drop if paragraph_Z==-4 & word_Z==-4

replace lessons=lessons+1 if lesson>=0
replace newspaper=newspaper+1 if newspaper>=0
replace instrument=instrument+1 if instrument>=0
 
foreach var in math recognition comp museum gatherings books lessons instrument newspaper eatmomdad praised income {

gen yes=`var'>0 & `var'~=.
bys cid: egen yes_`var'=max(yes)
drop yes
}

drop if yes_math==0 & yes_rec==0 & yes_comp==0
drop if yes_museum==0 & yes_gatherings==0
drop if yes_income==0

drop yes*

gen first=mid*100+1

gen equal=cid==first

keep if equal==1

drop equal

save data,replace
